Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_DirectoryUser

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_PublicObject
                  oracle.ifs.server.S_TiePublicObject
                      oracle.ifs.server.S_DirectoryObject
                          oracle.ifs.server.S_TieDirectoryObject
                              oracle.ifs.server.S_DirectoryUser

All Implemented Interfaces:
  DirectoryObjectInterface, IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieDirectoryUser

    public class S_DirectoryUser

extends S_TieDirectoryObject

An S_DirectoryUser is the server-side representation of an iFS user.

(Published)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.server.S_DirectoryObject
`S_DirectoryObject.AncestorSet`

Field Summary
`static java.lang.String` | `CLASS_NAME` Name of the DIRECTORYUSER class.

Fields inherited from class oracle.ifs.server.S_PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICY_ENUM_EXTENDEDFREE_IGNORE_OWNERSHIP, POLICY_ENUM_EXTENDEDFREE_INVALID_VALUE, POLICY_ENUM_EXTENDEDFREE_REQUIRE_ADMIN, POLICYBUNDLE_ATTRIBUTE, RESOLVED_OBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_DirectoryUser(S_LibrarySession session, java.lang.Long classId)` Constructs an S_DirectoryUser object.
`protected` | `S_DirectoryUser(S_LibrarySession session, S_LibraryObjectData data)` Constructs a S_DirectoryUser.

Method Summary
`protected boolean` | `canUseContentQuota(S_ContentQuota quota)` Returns true if the current user can use the specified ContentQuota object.
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Changes the S_LibraryObjectDefinition for this class.
`java.io.Serializable` | `DYNisUserInDirectoryService(java.io.Serializable payload)` Determines if the user is a valid user in the underlying Directory Service.
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` Performs the necessary operations before freeing an object.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Updates any system attributes appropriate for creating this object.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Performs the necessary operations before an update.
`protected S_PrimaryUserProfile` | `fetchPrimaryUserProfile()` Gets the primary user profile for this user.
`protected boolean` | `getAdminEnabled()` Checks if this user has admin privileges.
`long` | `getAuditEventCreator()` Return the user ID to use as the creator of an audit event.
`long` | `getAuditEventSessionUser()` Return the user ID to use as the session user of an audit event.
`S_PrimaryUserProfile` | `getPrimaryUserProfile()` Gets the primary user profile for this user.
`protected boolean` | `getSystemAdminEnabled()` Checks if this user has system admin privileges.
`boolean` | `isReadIndicationEnabled()` Determines if read indication is enabled for this user.
`boolean` | `isSharedAccount()` Determines if multiple people are sharing this user account.
`boolean` | `isUserInDirectoryService()` Determines if this user is a valid user in the underlying Directory Service.
`protected void` | `verifyCanCreate(S_LibraryObjectDefinition def)` Verifies that an instance can be created.
`protected void` | `verifyCanFree()` Verifies that an instance can be freed.
`protected void` | `verifyCanLock()` Verifies that an instance can be locked or unlocked.
`protected void` | `verifyCanUpdate()` Verifies that an instance can be updated.

Methods inherited from class oracle.ifs.server.S_DirectoryObject
`addAncestorsToSet, constructDirectoryObjectArray, extendedPostFree, extendedPostInsert, getAllAncestorIds, getAllAncestors, getAllMembers, getAllMembersIds, getCredentialManager, getDirectAncestorIds, getDirectAncestors, getDirectMembers, getDistinguishedName, vectorToSDirectoryObjectArray, verifyCanBeMember`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addCategory, addRelationship, addRelationship, cascadeCopy, cascadeDelete, cascadeFree, cascadeUndelete, checkAccess, constructPublicObjectArray, createCategories, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, delete, delete, determineResolvedObject, DYNReplaceCreator, DYNReplaceDeletor, DYNReplaceModifier, extendedPostDelete, extendedPostUndelete, extendedPostUpdate, extendedPreCopy, extendedPreDelete, extendedPreUndelete, forceSecuredObjectsToClear, freeIfNoFolderReferences, freeNonsharedAcl, freeNonsharedLockObject, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllLeftRelationships, getAllRightRelationships, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAuditEventFolderContext, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getDefaultAclFromUserProfile, getFamily, getFlags, getLeftRelationships, getLeftwardRelationshipDatas, getLeftwardRelationshipDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinkIds, getLinks, getLockedForSessionId, getLockObject, getOwner, getPrimaryParentFolder, getPropagatedSecurityAttributeNames, getPropagatedSecurityColumnNames, getReferencingFolderIds, getReferencingFolders, getResolvedObject, getRightRelationships, getRightwardRelationshipDatas, getRightwardRelationshipDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSpecificLeftRelationships, getSpecificRightRelationships, getVersionDescriptions, handleCascade, handleExtendedFreePolicy, hasNameAttribute, invokeLockingPolicy, isAuditCertificateSecured, isDeleted, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isLockObjectEnabled, isLockObjectEnabled, isOwner, isVersionable, postCreateAddToFolder, postDelete, postSecurityChangeAuditEvent, postUndelete, preDelete, preUndelete, propagateFreeIfNoFolderReferences, propagateNameChanges, propagateSecurityChanges, propogateSettingsToProxyService, putProperty, reassociateLinks, relationshipExists, removeRelationship, removeRelationship, removeRowFromAclProxyIfSecured, resolveACLSetting, resolveResolvedObject, resolveSecuredBySettings, signalLeftRelationshipFreed, signalRightRelationshipFreed, undelete, undelete, unlockForSession, updateFamily, updateLastModifiedInfo, updatePrimaryParentFolder, vectorToSPublicObjectArray, verifyCanAddRelationship, verifyCanRemoveRelationship, verifyCanSetPolicy, verifyCanUnlock, verifyCanUseContentQuota, verifyGrantAccess, verifyObjectNotLocked, verifyObjectNotLocked, verifyPublicObjectPermission`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `S_DirectoryUser`
  Name of the DIRECTORYUSER class.

  See Also:
    Constant Field Values
  (Unpublished)

Constructor Detail

### S_DirectoryUser

    protected S_DirectoryUser(S_LibrarySession session,
                              S_LibraryObjectData data)
                       throws IfsException

  Constructs a S_DirectoryUser.

  Parameters:
    `session` - current LibrarySession
    `data` - Data component
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### S_DirectoryUser

    protected S_DirectoryUser(S_LibrarySession session,
                              java.lang.Long classId)
                       throws IfsException

  Constructs an S_DirectoryUser object.

  This variant is used for objects that have not been created in the database yet.

  Parameters:
    `session` - current LibrarySession
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

Method Detail

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_DirectoryUser`
  Changes the S_LibraryObjectDefinition for this class.

  This is called by getDefinition() on S_LibraryObject. It must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_PublicObject`
  Parameters:
    `def` - the S_LibraryObjectDefinition that contains the definition of the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_DirectoryUser`
  Performs the necessary operations before an update.

  Overrides:
    `extendedPreUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - current state of the operation
    `def` - current object definition to be updated
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_DirectoryUser`
  Updates any system attributes appropriate for creating this object.

  Overrides:
    `extendedPreInsert` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `S_DirectoryUser`
  Performs the necessary operations before freeing an object.

  This is overridden by classes that need to perform operations after successfully deleting the rows for the freed instance.

  Overrides:
    `extendedPreFree` in class `S_DirectoryObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### verifyCanCreate

    protected void verifyCanCreate(S_LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `S_DirectoryUser`
  Verifies that an instance can be created.

  Overrides:
    `verifyCanCreate` in class `S_PublicObject`
  Parameters:
    `def` - the definition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanFree

    protected void verifyCanFree()
                          throws IfsException

  Description copied from class: `S_DirectoryUser`
  Verifies that an instance can be freed.

  Overrides:
    `verifyCanFree` in class `S_PublicObject`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanUpdate

    protected void verifyCanUpdate()
                            throws IfsException

  Description copied from class: `S_DirectoryUser`
  Verifies that an instance can be updated.

  Overrides:
    `verifyCanUpdate` in class `S_PublicObject`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanLock

    protected void verifyCanLock()
                          throws IfsException

  Description copied from class: `S_DirectoryUser`
  Verifies that an instance can be locked or unlocked.

  Overrides:
    `verifyCanLock` in class `S_PublicObject`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### canUseContentQuota

    protected boolean canUseContentQuota(S_ContentQuota quota)
                                  throws IfsException

  Description copied from class: `S_DirectoryUser`
  Returns true if the current user can use the specified ContentQuota object. The target object is the object that is associated with the specified quota object.

  Overrides:
    `canUseContentQuota` in class `S_PublicObject`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isUserInDirectoryService

    public boolean isUserInDirectoryService()
                                     throws IfsException

  Description copied from class: `S_DirectoryUser`
  Determines if this user is a valid user in the underlying Directory Service.

  Returns:
    whether user is a valid Directory user
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### isSharedAccount

    public boolean isSharedAccount()
                            throws IfsException

  Description copied from class: `S_DirectoryUser`
  Determines if multiple people are sharing this user account.

  This is used to make several determinations, such as whether or not the password can be changed by one of these people, and whether or not Document read indication is kept for this account.

  Returns:
    whether this user represents a shared account
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### isReadIndicationEnabled

    public boolean isReadIndicationEnabled()
                                    throws IfsException

  Description copied from class: `S_DirectoryUser`
  Determines if read indication is enabled for this user.

  Returns:
    whether read indication is enabled for this user
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getAdminEnabled

    protected boolean getAdminEnabled()
                               throws IfsException

  Description copied from class: `S_DirectoryUser`
  Checks if this user has admin privileges.

  Returns:
    whether this user is admin enabled
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getSystemAdminEnabled

    protected boolean getSystemAdminEnabled()
                                     throws IfsException

  Description copied from class: `S_DirectoryUser`
  Checks if this user has system admin privileges.

  Returns:
    whether this user has system admin privileges
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getPrimaryUserProfile

    public S_PrimaryUserProfile getPrimaryUserProfile()
                                               throws IfsException

  Description copied from class: `S_DirectoryUser`
  Gets the primary user profile for this user.

  Returns:
    the primary user profile
  Throws:
    `IfsException` - if the operation fails
  (Published)

### fetchPrimaryUserProfile

    protected S_PrimaryUserProfile fetchPrimaryUserProfile()
                                                    throws IfsException

  Description copied from class: `S_DirectoryUser`
  Gets the primary user profile for this user.

  Returns:
    the primary user profile
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAuditEventCreator

    public long getAuditEventCreator()
                              throws IfsException

  Description copied from class: `S_DirectoryUser`
  Return the user ID to use as the creator of an audit event.

  Should be the representative user; may be overridden in the Tie class to derive a desirable representative value.

  Returns:
    the ID to use as the creator of an event created by the user
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getAuditEventSessionUser

    public long getAuditEventSessionUser()
                                  throws IfsException

  Description copied from class: `S_DirectoryUser`
  Return the user ID to use as the session user of an audit event.

  Should be this user, unless the session is being impersonated, it which case it should be the original user.

  Returns:
    the ID to use as the creator of an event created by the user
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### DYNisUserInDirectoryService

    public java.io.Serializable DYNisUserInDirectoryService(java.io.Serializable payload)
                                                     throws IfsException

  Description copied from class: `S_DirectoryUser`
  Determines if the user is a valid user in the underlying Directory Service.

  Returns:
    whether the user is a valid Directory user
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD